Subject: Re: net-sched 00/06: dynamically sized class hashes v2

From: Patrick McHardy <[email-masked]>
Date: Thu, 03 Jul 2008 18:49:27 +0200

Jarek Poplawski wrote:
> BTW, BTW: I've just started to understand this "common" idea (I hope).
> So if it's planned for some other (not searching) fields common for
> classes, then of course, this name is quite sensible (maybe only a bit
> too long for dereferencing).
>   

Yes, child qdiscs, filter lists etc. would be a good start. I think we
should actually have at least two types of common structs, one for
hierarchical qdiscs, one for pseudo-classful like TBF, RED and netem.

I have some patches but they're a big mess so I seperated out the useful
stuff for now :)